Nach Umstellung von PHP Fatal error: Uncaught Error: Call to undefined function mysql_query() in /

Fatal error : Uncaught Error: Call to undefined function mysql_query() in /

Ich hatte vorher glaube ich PHP 5.3 oder 5.6
Habe es dann auf 7 umgestellt…dann ging nichts mehr…habe es dann wieder runterstellen wollen, es geht aber nur bis auf PHP 5.6 herunterzustellen…
Aber Oxid Community Edition 4.10.6 sollte doch auch bis 5.6 laufen?!

jetzt steht da…
Fatal error : Uncaught TypeError: Argument 1 passed to oxExceptionHandler::handleUncaughtException() must be an instance of Exception, instance of Error given in

nachdem ich wieder den Inhalt im tmp Ordner gelöscht habe kommt wieder die obige Meldung

rufe ich die version.php auf kommt
Fatal error : Uncaught Error: Using $this when not in object context in /

Ja 4.10.6 sollte mit PHP 5.6 laufen https://oxidforge.org/en/oxid-eshop-version-4-10-6-ce-pe-5-3-6-ee.html#toggle-id-1

Hast Du vielleicht verschlüsselte Module drin, weil dann ist die exakte PHP Version wichtig sonst geht nichts mehr und Du musst Modullizenz neu erwerben. Daher würde ich von verschlüsselten Modulen abraten.

Das ist das Problem, bist Du sicher das Du auf die richtige PHP Version zurück umgestellt hast?
Diese Fehlermeldung deutet daraufhin, dass Du noch unter PHP 7 läufst und mysqli mit “i” am Ende notwendig ist https://oxidforge.org/de/oxid-eshop-fur-php-7-patchen.html